#!/bin/sh

echo 'Creating and initialization OTaMan database'
echo '-------------------------------------------'
echo 'Login as root (MySQL)'
read -s -p "Password: " password
echo
if [ -z $password ]; then
    ./get_dump_OTaMan.sh | mysql -u root
else
    ./get_dump_OTaMan.sh | mysql -u root -p"$password"
fi

if [ `uname -m` == "x86_64" ]; then
    BINDIR="../bin/x86_64-linux"
else
    BINDIR="../bin/i386-linux"
fi
$BINDIR/InsertExercises localhost OTaMan root "$password" exercises
$BINDIR/InsertTemplates localhost OTaMan root "$password" templates
