drop table if exists Result;
create table Result (
  idResult int unsigned not null auto_increment,
  idHeadShooting int unsigned not null,
  `idOperator` int unsigned not null,
  idStaff int unsigned not null,
  WeaponIdents varchar(5) not null,
  Exercise varchar(255) not null,
  HitTagets varchar(255) null,
  Mark tinyint not null,
  AmmoCount int not null,
  Comment varchar(255) null,
  primary key (idResult),
  constraint fkResult_HeadShooting foreign key (idHeadShooting) references HeadShooting(idHeadShooting) on delete restrict,
  constraint `fkResult_Operator` foreign key (`idOperator`) references `Operator`(`idOperator`) on delete restrict,
  constraint fkResult_Staff foreign key (idStaff) references Staff(idStaff) on delete restrict
) engine=InnoDB character set=UTF8;
