drop table if exists Soldier;
create table Soldier (
  idSoldier int unsigned not null auto_increment,
  idRank int unsigned not null,
  idPost int unsigned not null,
  FirstName varchar(75) not null,
  MiddleName varchar(75) not null,
  LastName varchar(75) not null,
  primary key (idSoldier),
  constraint fkSoldier_Rank foreign key (idRank) references Rank(idRank) on delete restrict,
  constraint fkSoldier_Post foreign key (idPost) references Post(idPost) on delete restrict
) engine=InnoDB character set=UTF8;
