drop view if exists ViewPrivateStaff;
create view ViewPrivateStaff
as
select
  Staff.idStaff as idStaff,
  Staff.idSubUnit as idSubUnit,
  Soldier.idRank as idRank,
  Soldier.FirstName as FirstName,
  Soldier.MiddleName as MiddleName,
  Soldier.LastName as LastName,
  Rank.Name as RankName,
  Post.Name as PostName,
  Weapon.Name as WeaponName,
  Weapon.Ident as WeaponIdent
from Staff
left join Soldier on Soldier.idSoldier = Staff.idSoldier
left join Rank on Rank.idRank = Soldier.idRank
left join Post on Post.idPost = Soldier.idPost
left join Commander as Cmd on Cmd.idStaff = Staff.idStaff
left join Weapon on Weapon.idWeapon = Staff.idWeapon
where Cmd.idStaff is null;
