drop view if exists ViewStaff;
create view ViewStaff
as
select
  Staff.idStaff as idStaff,
  Staff.idSubUnit as idSubUnit,
  Soldier.idRank as idRank,
  Soldier.FirstName as FirstName,
  Soldier.MiddleName as MiddleName,
  Soldier.LastName as LastName,
  Rank.Name as RankName,
  Post.Name as PostName,
  concat_ws(" ", Rank.Name, Soldier.LastName, Soldier.FirstName, Soldier.MiddleName) as ViewName
from Staff
left join Soldier on Soldier.idSoldier = Staff.idSoldier
left join Rank on Rank.idRank = Soldier.idRank
left join Post on Post.idPost = Soldier.idPost;
