drop table if exists Staff;
create table Staff (
  idStaff int unsigned not null auto_increment,
  idSoldier int unsigned not null,
  idSubUnit int unsigned not null,
  idWeapon int unsigned not null,
  primary key (idStaff),
  constraint fkStaff_Soldier foreign key (idSoldier) references Soldier(idSoldier) on delete restrict,
  constraint fkStaff_SubUnit foreign key (idSubUnit) references SubUnit(idSubUnit) on delete restrict,
  constraint fkStaff_Weapon foreign key (idWeapon) references Weapon(idWeapon) on delete restrict
) engine=InnoDB character set=UTF8;
