drop table if exists SubUnit;
create table SubUnit (
  idSubUnit int unsigned not null auto_increment,
  idUnit int unsigned not null,
  idSubUnitType int unsigned not null,
  Name varchar(125) not null,
  primary key (idSubUnit),
  constraint fkSubUnit_Unit foreign key (idUnit) references Unit(idUnit) on delete restrict,
  constraint fkSubUnit_SubUnitType foreign key (idSubUnitType) references SubUnitType(idSubUnitType) on delete restrict
) engine=InnoDB character set=UTF8;
