drop view if exists ViewWeapon;
create view ViewWeapon
as
select
  Staff.idSubUnit,
  Staff.idWeapon,
  Weapon.Ident
from Staff
left join Weapon on Weapon.idWeapon = Staff.idWeapon
left join Commander as Cmd on Cmd.idStaff = Staff.idStaff
where Cmd.idStaff is null
group by idSubUnit, Ident;
